<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>Operators (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Operators (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":9,"i1":9,"i2":9,"i3":9,"i4":9,"i5":9,"i6":9,"i7":9,"i8":9,"i9":9,"i10":9,"i11":9,"i12":9,"i13":9,"i14":9,"i15":9,"i16":9,"i17":9,"i18":9,"i19":9,"i20":9,"i21":9,"i22":9,"i23":9,"i24":9,"i25":9,"i26":9,"i27":9,"i28":9,"i29":9,"i30":9,"i31":9,"i32":9,"i33":9};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Operators.html" target="_top">Frames</a></li>
<li><a href="Operators.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.internal.expression.runtime</div>
<h2 title="Class Operators" class="title">Class Operators</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.internal.expression.runtime.Operators</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public final class <span class="typeNameLabel">Operators</span>
extends java.lang.Object</pre>
<div class="block">Contains all unary and binary operators.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#aadd-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">aadd</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#add-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">add</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#adiv-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">adiv</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#aexp-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">aexp</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#amod-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">amod</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#amul-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">amul</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#and-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">and</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#ass-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">ass</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#asub-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">asub</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#dec-com.sk89q.worldedit.internal.expression.runtime.LValue-">dec</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#div-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">div</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#equ-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">equ</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#fac-com.sk89q.worldedit.internal.expression.runtime.RValue-">fac</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#geq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">geq</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#getOperator-int-java.lang.String-com.sk89q.worldedit.internal.expression.runtime.RValue-">getOperator</a></span>(int&nbsp;position,
           java.lang.String&nbsp;name,
           <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;argument)</code>&nbsp;</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#getOperator-int-java.lang.String-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">getOperator</a></span>(int&nbsp;position,
           java.lang.String&nbsp;name,
           <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
           <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#gth-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">gth</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#inc-com.sk89q.worldedit.internal.expression.runtime.LValue-">inc</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#inv-com.sk89q.worldedit.internal.expression.runtime.RValue-">inv</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#leq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">leq</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#lth-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">lth</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#mod-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">mod</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#mul-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">mul</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#near-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">near</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
    <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#neg-com.sk89q.worldedit.internal.expression.runtime.RValue-">neg</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#neq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">neq</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#not-com.sk89q.worldedit.internal.expression.runtime.RValue-">not</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#or-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">or</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
  <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#postdec-com.sk89q.worldedit.internal.expression.runtime.LValue-">postdec</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#postinc-com.sk89q.worldedit.internal.expression.runtime.LValue-">postinc</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)</code>&nbsp;</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#pow-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">pow</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#shl-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">shl</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#shr-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">shr</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>static double</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Operators.html#sub-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">sub</a></span>(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)</code>&nbsp;</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getOperator-int-java.lang.String-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a>&nbsp;getOperator(int&nbsp;position,
                                   java.lang.String&nbsp;name,
                                   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                                   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                            throws java.lang.NoSuchMethodException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NoSuchMethodException</code></dd>
</dl>
</li>
</ul>
<a name="getOperator-int-java.lang.String-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getOperator</h4>
<pre>public static&nbsp;<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Function.html" title="class in com.sk89q.worldedit.internal.expression.runtime">Function</a>&nbsp;getOperator(int&nbsp;position,
                                   java.lang.String&nbsp;name,
                                   <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;argument)
                            throws java.lang.NoSuchMethodException</pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code>java.lang.NoSuchMethodException</code></dd>
</dl>
</li>
</ul>
<a name="add-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>add</h4>
<pre>public static&nbsp;double&nbsp;add(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="sub-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sub</h4>
<pre>public static&nbsp;double&nbsp;sub(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="mul-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mul</h4>
<pre>public static&nbsp;double&nbsp;mul(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="div-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>div</h4>
<pre>public static&nbsp;double&nbsp;div(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="mod-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>mod</h4>
<pre>public static&nbsp;double&nbsp;mod(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="pow-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>pow</h4>
<pre>public static&nbsp;double&nbsp;pow(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="neg-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>neg</h4>
<pre>public static&nbsp;double&nbsp;neg(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="not-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>not</h4>
<pre>public static&nbsp;double&nbsp;not(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="inv-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inv</h4>
<pre>public static&nbsp;double&nbsp;inv(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="lth-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>lth</h4>
<pre>public static&nbsp;double&nbsp;lth(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="gth-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>gth</h4>
<pre>public static&nbsp;double&nbsp;gth(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="leq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>leq</h4>
<pre>public static&nbsp;double&nbsp;leq(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="geq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>geq</h4>
<pre>public static&nbsp;double&nbsp;geq(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="equ-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>equ</h4>
<pre>public static&nbsp;double&nbsp;equ(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="neq-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>neq</h4>
<pre>public static&nbsp;double&nbsp;neq(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="near-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>near</h4>
<pre>public static&nbsp;double&nbsp;near(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="or-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>or</h4>
<pre>public static&nbsp;double&nbsp;or(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                        <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                 throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="and-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>and</h4>
<pre>public static&nbsp;double&nbsp;and(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="shl-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shl</h4>
<pre>public static&nbsp;double&nbsp;shl(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="shr-com.sk89q.worldedit.internal.expression.runtime.RValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>shr</h4>
<pre>public static&nbsp;double&nbsp;shr(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="ass-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>ass</h4>
<pre>public static&nbsp;double&nbsp;ass(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                         <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="aadd-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aadd</h4>
<pre>public static&nbsp;double&nbsp;aadd(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="asub-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>asub</h4>
<pre>public static&nbsp;double&nbsp;asub(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="amul-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>amul</h4>
<pre>public static&nbsp;double&nbsp;amul(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="adiv-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>adiv</h4>
<pre>public static&nbsp;double&nbsp;adiv(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="amod-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>amod</h4>
<pre>public static&nbsp;double&nbsp;amod(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="aexp-com.sk89q.worldedit.internal.expression.runtime.LValue-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>aexp</h4>
<pre>public static&nbsp;double&nbsp;aexp(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;lhs,
                          <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;rhs)
                   throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="inc-com.sk89q.worldedit.internal.expression.runtime.LValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>inc</h4>
<pre>public static&nbsp;double&nbsp;inc(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="dec-com.sk89q.worldedit.internal.expression.runtime.LValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>dec</h4>
<pre>public static&nbsp;double&nbsp;dec(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="postinc-com.sk89q.worldedit.internal.expression.runtime.LValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postinc</h4>
<pre>public static&nbsp;double&nbsp;postinc(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)
                      throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="postdec-com.sk89q.worldedit.internal.expression.runtime.LValue-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>postdec</h4>
<pre>public static&nbsp;double&nbsp;postdec(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/LValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">LValue</a>&nbsp;x)
                      throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
<a name="fac-com.sk89q.worldedit.internal.expression.runtime.RValue-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fac</h4>
<pre>public static&nbsp;double&nbsp;fac(<a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/RValue.html" title="interface in com.sk89q.worldedit.internal.expression.runtime">RValue</a>&nbsp;x)
                  throws <a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></pre>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/EvaluationException.html" title="class in com.sk89q.worldedit.internal.expression.runtime">EvaluationException</a></code></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Node.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../com/sk89q/worldedit/internal/expression/runtime/Return.html" title="class in com.sk89q.worldedit.internal.expression.runtime"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?com/sk89q/worldedit/internal/expression/runtime/Operators.html" target="_top">Frames</a></li>
<li><a href="Operators.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
